ランタイム: Mix::Graphics::Utility::ITargetTextureChain Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Graphics::Utility::ITargetTextureChain Class Referenceabstract

ターゲットテクスチャチェインインターフェース More...

`#include <ITargetTextureChain.h>`

Inheritance diagram for Mix::Graphics::Utility::ITargetTextureChain:
[legend]
Collaboration diagram for Mix::Graphics::Utility::ITargetTextureChain:
[legend]

## Public Member Functions

virtual Mix::Graphics::ITexture * | GetCurrentPtr (void) const =0
| 現在のターゲットテクスチャのポインタを取得します More...
virtual Mix::Graphics::ITexture * | GetNextPtr (void) const =0
| 次のターゲットテクスチャのポインタを取得します More...
virtual Mix::Graphics::ITexture * | GetNextPtrAndFlip (void)=0
| 次のターゲットテクスチャのポインタを取得し、現在と次のターゲットテクスチャを入れ替えます More...
virtual void | Flip (void)=0
| 現在と次のターゲットテクスチャを入れ替えます More...
virtual UInt32 | GetWidth (void) const =0
| ターゲットテクスチャの幅を取得します More...
virtual UInt32 | GetHeight (void) const =0
| ターゲットテクスチャの高さを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~ITargetTextureChain (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

ターゲットテクスチャチェインインターフェース

## Constructor & Destructor Documentation

virtual Mix::Graphics::Utility::ITargetTextureChain::~ITargetTextureChain | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Mix::Graphics::ITexture* Mix::Graphics::Utility::ITargetTextureChain::GetCurrentPtr | ( | void |  | ) | const

pure virtual

現在のターゲットテクスチャのポインタを取得します

Returns
  現在のターゲットテクスチャを表す Mix::Graphics::ITexture インターフェースのポインタ

virtual Mix::Graphics::ITexture* Mix::Graphics::Utility::ITargetTextureChain::GetNextPtr | ( | void |  | ) | const

pure virtual

次のターゲットテクスチャのポインタを取得します

Returns
  次のターゲットテクスチャを表す Mix::Graphics::ITexture インターフェースのポインタ

virtual Mix::Graphics::ITexture* Mix::Graphics::Utility::ITargetTextureChain::GetNextPtrAndFlip | ( | void |  | ) |

pure virtual

次のターゲットテクスチャのポインタを取得し、現在と次のターゲットテクスチャを入れ替えます

Returns
  次のターゲットテクスチャを表す Mix::Graphics::ITexture インターフェースのポインタ

virtual void Mix::Graphics::Utility::ITargetTextureChain::Flip | ( | void |  | ) |

pure virtual

現在と次のターゲットテクスチャを入れ替えます

virtual UInt32 Mix::Graphics::Utility::ITargetTextureChain::GetWidth | ( | void |  | ) | const

pure virtual

ターゲットテクスチャの幅を取得します

Returns
  ターゲットテクスチャの幅を返します

virtual UInt32 Mix::Graphics::Utility::ITargetTextureChain::GetHeight | ( | void |  | ) | const

pure virtual

ターゲットテクスチャの高さを取得します

Returns
  ターゲットテクスチャの高さを返します

The documentation for this class was generated from the following file:

- Mix/Graphics/Utility/ITargetTextureChain.h